Edit Project
curl --request PATCH \
--url https://api.xenia.team/api/v1/task/projects/{projectId}/edit \
--header 'Content-Type: application/json' \
--header 'workspace-id: <workspace-id>' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"id": "6912d6c1-e9bd-4e8b-a76e-e44e58632568",
"title": "user based project",
"description": "this is test!",
"priority": "High",
"taskStatus": "Open",
"startDate": "2025-06-27T16:00:00.000Z",
"dueDate": "2025-06-27T17:00:00.000Z",
"endDate": "2025-07-31T11:00:00.000Z",
"requestThisTask": "Weekly",
"recurringByEvery": "Week1",
"intervalWeek": [
"Mon",
"Wed",
"Fri",
"Tue"
],
"timezone": "America/New_York",
"LocationId": "1d5ceb29-ab86-4138-ad7f-b8290b1771f5",
"assignees": [
"23927db6-e184-4a5d-a7c0-6f9cbc08bdea"
],
"ServiceId": "50d9f381-eba0-41b0-b26b-70a47a854252",
"workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e"
}
'import requests
url = "https://api.xenia.team/api/v1/task/projects/{projectId}/edit"
payload = {
"id": "6912d6c1-e9bd-4e8b-a76e-e44e58632568",
"title": "user based project",
"description": "this is test!",
"priority": "High",
"taskStatus": "Open",
"startDate": "2025-06-27T16:00:00.000Z",
"dueDate": "2025-06-27T17:00:00.000Z",
"endDate": "2025-07-31T11:00:00.000Z",
"requestThisTask": "Weekly",
"recurringByEvery": "Week1",
"intervalWeek": ["Mon", "Wed", "Fri", "Tue"],
"timezone": "America/New_York",
"LocationId": "1d5ceb29-ab86-4138-ad7f-b8290b1771f5",
"assignees": ["23927db6-e184-4a5d-a7c0-6f9cbc08bdea"],
"ServiceId": "50d9f381-eba0-41b0-b26b-70a47a854252",
"workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e"
}
headers = {
"workspace-id": "<workspace-id>",
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'workspace-id': '<workspace-id>',
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '6912d6c1-e9bd-4e8b-a76e-e44e58632568',
title: 'user based project',
description: 'this is test!',
priority: 'High',
taskStatus: 'Open',
startDate: '2025-06-27T16:00:00.000Z',
dueDate: '2025-06-27T17:00:00.000Z',
endDate: '2025-07-31T11:00:00.000Z',
requestThisTask: 'Weekly',
recurringByEvery: 'Week1',
intervalWeek: ['Mon', 'Wed', 'Fri', 'Tue'],
timezone: 'America/New_York',
LocationId: '1d5ceb29-ab86-4138-ad7f-b8290b1771f5',
assignees: ['23927db6-e184-4a5d-a7c0-6f9cbc08bdea'],
ServiceId: '50d9f381-eba0-41b0-b26b-70a47a854252',
workspaceId: 'cb363f7e-c52a-4478-911d-f6a6f791090e'
})
};
fetch('https://api.xenia.team/api/v1/task/projects/{projectId}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "616bdfc6-249b-4c04-85af-d1360bb53218",
"workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e",
"title": "user based project - edit",
"isPaused": false,
"isLocationAutoTag": true,
"type": "user",
"entityIds": [
"23927db6-e184-4a5d-a7c0-6f9cbc08bdea",
"dfea8b8a-5b22-4668-b68d-dc641eb3a101"
],
"assigneesRoles": null,
"metadata": null,
"state": "ready",
"CreatedBy": "dfea8b8a-5b22-4668-b68d-dc641eb3a101",
"UpdatedBy": "dfea8b8a-5b22-4668-b68d-dc641eb3a101",
"createdAt": "2025-06-26T12:50:30.553Z",
"updatedAt": "2025-06-26T16:03:05.474Z",
"deletedAt": null,
"ProjectAccess": []
},
"extra_meta": {
"message": "Project is updating, Check back shortly"
}
}Projects
Update Project
Edits an existing recurring project using its ID.
PATCH
/
api
/
v1
/
task
/
projects
/
{projectId}
/
edit
Edit Project
Headers
Path Parameters
The ID of the project to be updated
Body
application/json
Available options:
Daily, Weekly, Monthly Available options:
Low, Medium, High Available options:
Open, On Hold, Completed Available options:
Mon, Tue, Wed, Thu, Fri, Sat, Sun UUID of the workspace.
Response
Project successfully updated
⌘I